# How to disable the 'Proofread in dialog' mode

There are two modes that WProofreader provides for text proofreading: as you type in the editable area and in a separate dialog. The dialog aggregates all suggestions from a text field or all text fields on the page. User can quickly navigate through all suggestions in dialog using keyboard navigation or icons/buttons on user interface (see screenshots below).

If you preference is to keep only as you type mode, you can disable the dialog mode by adding the **actionItems** option to config script as follows (remove '**proofreadDialog**' value):

```javascript
actionItems: ['addWord', 'ignoreAll', 'settings', 'toggle']
```

If you preference is to keep only as you type mode, you can disable the dialog mode by adding the **disableDialog** option with `true`to config script:

```javascript
disableDialog: true,
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wproofreader.com/v6.12.0/integrations/how-tos/how-to-disable-the-proofread-in-dialog-mode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
